Subject: 26.1; documentation for kmacro-insert-counter C-u is wrong

From: Allen Li <[email-masked]>
Date: Thu, 31 Jan 2019 09:54:28 +0000

The documentation for the behavior of C-u argument to
kmacro-insert-counter is wrong everywhere (both in the docstring and
manual, and also for kmacro-start-macro-or-insert-counter).

It says that supplying C-u is the same as supplying C-u 0.  This is
completely wrong, and has caused confusion for multiple users (I can
dig up some links if desired).  C-u 0 inserts the current value of the
kmacro counter without incrementing it.  C-u inserts the *previous*
value of the kmacro counter, which is usually one less than the
current value.